org.deidentifier.arx.aggregates

## Class HierarchyBuilderIntervalBased.Range<U>

- java.lang.Object
- - org.deidentifier.arx.aggregates.HierarchyBuilderIntervalBased.Range<U>

Type Parameters:
  `U` -

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  HierarchyBuilderIntervalBased<T>

    public static class HierarchyBuilderIntervalBased.Range<U>
    extends java.lang.Object
    implements java.io.Serializable

For each direction, this class encapsulates three bounds. Intervals will be repeated until the repeat-bound is reached. The outmost intervals will than be extended to the snap-bound. Values between the snap-bound and the label-bound will be replaced by an out-of-bounds-label. For values larger than the label-bound exceptions will be raised.

Author:
  Fabian Prasser
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Range(U snapFrom, U bottomTopCodingFrom, U minMaxValue)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`U` `getBottomTopCodingFrom()` Bottom/top coding will start from this value.
`U` `getMinMaxValue()` If a value is discovered which is smaller/larger than this value an exception will be raised.
`U` `getSnapFrom()` Intervals will snap to lower/higher values from this value.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Range

    public Range(U snapFrom,
                 U bottomTopCodingFrom,
                 U minMaxValue)

Creates a new instance.

Parameters:
  `snapFrom` -
  `bottomTopCodingFrom` -
  `minMaxValue` -

### Method Detail

#### getMinMaxValue

    public U getMinMaxValue()

If a value is discovered which is smaller/larger than this value an exception will be raised.

Returns:

#### getSnapFrom

    public U getSnapFrom()

Intervals will snap to lower/higher values from this value.

Returns:

#### getBottomTopCodingFrom

    public U getBottomTopCodingFrom()

Bottom/top coding will start from this value.

Returns:

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`